LoggedFS(1)

NAME
LoggedFS - Filesystem monitoring with Fuse

SYNOPSIS
loggedfs [-fp] [-c config-file ] [-l log-file ] directory ...

DESCRIPTION
LoggedFS is a transparent fuse-filesystem which allows to log every operations that happens in the backend filesystem. Logs can be written to syslog, to a file, or to the standard output. LoggedFS comes with a XML configuration file in which you can choose exactly what you want to log and what you don't want to log. You can add filters on users, operations (open, read, write, chown, chmod, etc.), filenames , and return code. Filename's filters are regular expressions.

OPTIONS

-f  Do not start as a daemon. Write logs to stdout if no log file is specified.

-c config-file
    Use the config-file to filter what you want to log.

-l log-file
    Use the log-file to write logs to. If no log file is specified then logs are only written to syslog or to stdout, depending on -f.

-p  Allow every users to see the new loggedfs.

FILES
/etc/fuse.conf
    The system wide configuration file.

AUTHOR
Remi Flament <remipouak@gmail.com>

SEE ALSO
fusermount(1)